Jump to content

Multi Theft Auto: San Andreas 1.5.8 is released!


Woovie

Recommended Posts

40 minutes ago, Sensacion said:

For years the function of adding custom objects with their own id is still waiting. This is essential in server roleplay, since it is the path towards which the MTA points.

And later maybe an own id for vehicles, some of us want to keep the original models and add extra vehicles.

I think a lot of modders can agree to that one, and especially roleplay based servers as you added. Thankfully we've started seeing more attention on new functions concerning model side of things over the years. :)

Definitely check out TheNormalNij's contributions towards the (WIP) new vehicle system through the page that Dutchman linked. You can also find him often talking about the subject in our Discord at #development.

For the meantime there are work around's that I'd consider worth trying, though their hit on performance may vary so be mindful of that. For objects, you can replace many of the ~70 casino duplicate models and ~14 Liberty City cutscene models, which already adds up to nearly 100 ID's available to replace.

You can also add multiple meshes to 1 world object by utilising opacity shaders. Say you have a grass block and a dirt block, each using 1 texture. You can then hide one of the blocks by applying an opacity shader to the unwanted texture. This works best with meshes that share same collision, or collisionless entities like weapons. You can then attach these weapons to a game weapon and hide the base model, which is then overriden by the world object which has multiple meshes - ideal for weapon customization.

The same applies for vehicle and skin models. For vehicle models though, you can set the unwanted components position to below the world so that it isn't seen. I've heard people using this method for tuning systems.

Edited by Tut
wording
Link to post
3 hours ago, Bonsai said:

So I guess my reply was censored?

It was perfectly valid.

This isn't the place to make such a comment. You can gladly express your opinions of a given individual directly to them. We (The Multi Theft Auto team) do not need your opinions on a team member, it does not affect us. We will gladly experience our team members directly and directly communicate with them if there is an issue.

Yes, you are in your right to an opinion. We are also in the right to keep our forum free of drama that does not in any way pertain to the project. Please don't post about it here again.

Thanks

On 13/10/2020 at 08:19, Dutchman101 said:

it's possible that it will be merged and released soon, during 1.5.8's lifespan, like with so many major features.

Yep, we plan to start merging a ton of the feature PRs soon :) 1.5.8 was a feature freeze.

  • Like 3
Link to post
13 hours ago, Woovie said:

This isn't the place to make such a comment. You can gladly express your opinions of a given individual directly to them. We (The Multi Theft Auto team) do not need your opinions on a team member, it does not affect us. We will gladly experience our team members directly and directly communicate with them if there is an issue.

Yes, you are in your right to an opinion. We are also in the right to keep our forum free of drama that does not in any way pertain to the project. Please don't post about it here again.

Thanks

Yep, we plan to start merging a ton of the feature PRs soon :) 1.5.8 was a feature freeze.

Thanks for replying!

I think that makes it much easier than to just remove a post without any reason why. 

In my opinion it does pertain to the project in the way that a questionable new team member might affect its quality or direction.

That was basically my concern, not trying to start any drama. Not sure how I worded my original post, maybe it came across the wrong way.

Link to post
  • 3 weeks later...

Can you add Windows XP/Vista version as well? If not just disable OS check when installing 1.5.8 version. From what I understand it is tls 1.2 problem which windows xp internet explorer 8 doesn't support it. But there are proxy programs that bypass it. I just want to play 1.5.8 version. If not please feel free to disregard this since my pc doesn't even gaming pc.

Link to post
  • jhxp featured this topic

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...